
Foreman - Bug #4761

Able to create ovirt compute instance without a Storage Domain

03/21/2014 10:11 AM - Jorick Astrego

Status: Rejected   

Priority: Low   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I didn't add a storage domain to my test ovirt and I'm allowed to create a VM without problems, removing this VM doesn't work

however.

Failed to destroy a compute ovirt (oVirt) instance test.netbulae.en: Cannot remove VM: Storage Domain cannot be accessed.

-Please check that at least one Host is operational and Data Center state is up.

I think foreman shouldn't allow creating a VM when the storage Domain is not connected.

How do I remove this test VM from foreman now?

History

#1 - 03/21/2014 10:12 AM - Dominic Cleal

- Category set to Compute resources

#2 - 09/26/2014 07:17 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - oVirt

#3 - 05/10/2018 07:03 AM - Shira Maximov

- Status changed from New to Rejected

In case there is no storage volume attach to the VM, the VM fail to start because it doesn't have at least one bootable device, and creation of the host

will fail.
